FORUMS: list search recent posts

FCP 5.0.4 to 5.1 crossgrade needed

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Phil Kurus
FCP 5.0.4 to 5.1 crossgrade needed
on Sep 30, 2012 at 2:50:45 am

Long story short, I stopped editing five years ago and never bothered to upgrade to 5.1 or beyond.

I now have need to edit on a Mountain Lion laptop (ProRes files to boot). No Rosetta means no FCP 5.0.4.

Apple, according to their 800 number, no longer sells any version of FCP other than X.

Might any of you kind souls have a workable solution / installer? I assume that my ver 5 serial will work with the 5.1 installer.

Many hopeful thanks in advance.

PK


Return to posts index

Shane Ross
Re: FCP 5.0.4 to 5.1 crossgrade needed
on Sep 30, 2012 at 2:55:27 am

Sorry, FCP 5.1 won't work with Mountain Lion either. The installer...INSTALLER...requires Rosetta. Only FCP 7 will install on Mountain Lion. So...looks like eBAY is in your future. or another NLE option, like Adobe Premiere.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Phil Kurus
Re: FCP 5.0.4 to 5.1 crossgrade needed
on Sep 30, 2012 at 3:02:09 am

Hey Shane. I do have a Snow Leopard machine as well (not to mention the original G5 that FCP 5.0.4 is on currently), so presumably the installer would work on either of those Rosetta equipped options [edit: Rosetta not needed on the G5 obviously].

Bummer about 5.1 not being able to run in ML though.

eBay = $1,200, give or take. I was hoping for a substantially less costly solution...


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2018 CreativeCOW.net All Rights Reserved
[TOP]